#2981 closed defect (fixed)

testdata excludes on included tcfg files does not work

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

It looks like the includes do not always work for .tcfg files. So far these BSPs do not appear to honor the excludes in an included file:

log/m32c-m32csim.log
log/mips-hurricane.log
log/mips-rbtx4925.log
log/mips-rbtx4938.log
log/moxie-moxiesim.log

mips and moxie are dl tests.

Change History (8)

comment:1 Changed on Apr 5, 2017 at 10:28:14 PM by Joel Sherrill

Owner: changed from joel.sherrill@… to Chris Johns
Status: newassigned

comment:2 Changed on Apr 7, 2017 at 5:02:42 PM by Joel Sherrill

Still happens on my overnight build from master.

comment:3 Changed on Apr 15, 2017 at 2:00:30 AM by Chris Johns

On OSX MIPS still have a sed issue:

Mode = sf\|df
xgcc: error: addsf3: No such file or directory
make[4]: *** [addsf3.o] Error 1
make[4]: *** Waiting for unfinished jobs....
Suffix = si\|2\|3

comment:4 Changed on Apr 18, 2017 at 2:28:52 AM by Chris Johns <chrisj@…>

Resolution: fixed
Status: assignedclosed

In 18f63c0/rtems:

testsuite: Fix rtems-test-check not excluding tests.

The include file handling was broken.

Add a test configuration data README.

Closes #2981.

comment:5 Changed on Apr 19, 2017 at 3:02:29 AM by Chris Johns <chrisj@…>

In 3d803af/rtems:

testsuite: Fix rtems-test-check-py when a BSP has no tcfg file.

Updates #2981.

comment:6 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:7 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified

comment:8 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.